//
// This is a manifest file that'll be compiled into application.css, which will include all the files
// listed below.
//
// Any CSS and SCSS file within this directory, lib/assets/stylesheets, or any plugin's
// vendor/assets/stylesheets directory can be referenced here using a relative path.
//
// You're free to add application-wide styles to this file and they'll appear at the bottom of the
// compiled file so the styles you add here take precedence over styles defined in any other CSS/SCSS
// files in this directory. Styles in this file should be added after the last require_* statement.
// It is generally better to create a new file per style scope.
//
//= require_tree .
//= require_self
//

@import "partials/mixins";
@import "font-awesome-sprockets";
@import "font-awesome";
@import "bootstrap";
@import "announcements";
@import "partials/normalize";
@import "partials/colors";
@import "partials/typography";
@import "partials/spacing-helpers";

// Masquerade alert shouldn't have a bottom margin
body > .alert {
  margin-bottom: 0;
}

/* --------------------------------------------------------------------
   Scrollbar
-------------------------------------------------------------------- */
::-webkit-scrollbar {
  width: 10px;
  height: 10px;
}

::-webkit-scrollbar-thumb {
  @include bg(primary);
  outline: 1px solid slategrey;
  border-radius: 10px;
}

::-webkit-scrollbar-track {
  background: var(--light-2);
}
